import request from '@/utils/request';

/**
 * 获取当前人员
 * 
 * silent: true 代表不显示错误
 * 
 * @param {*} 
 * @returns
 */
 export const queryCurrentUser = () => request('/users/current', { silent: true });

 /**
  * 登录
  * @param {*} 
  * @returns
  */
  export const login = (data) => request('/login', { data, method: 'post' });

